Scan for unmanaged WordPress installations on your web hosting.

Scan your web hosting account for WordPress installations not managed via Softaculous. This is useful if you installed WordPress manually or via other methods.

Web Hosting Services Hosting Accounts

Context

Where to get IDs / values

Path Parameters

accountId integer · min: 1 required Example: 20000

Unique account identifier

Headers

Accept Example
Content-Type Example

Responses

200
data object required
data.accountId string required · Example: 20000
data.count integer required · Example: 0
data.cpanelUsername string required · Example: xkqjm
data.detected array<object> required · Example: []
data.success boolean required · Example: true

True for successful responses.

requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

GET https://cloud.hostup.se/api/hosting/{accountId}/wordpress/scan
For AI assistants
cURL
curl -X GET "https://cloud.hostup.se/api/hosting/20000/wordpress/scan" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json"
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "success": true,
    "accountId": "20000",
    "cpanelUsername": "xkqjm",
    "detected": [],
    "count": 0
  }
}